Register Members List Search Today's Posts Mark Forums Read

Reply
 
Thread Tools
  #1  
Old 27 Feb 2012, 22:04
MrZeropage's Avatar
MrZeropage MrZeropage is offline
 
Join Date: Nov 2003
Real name: Marcel
ibProArcade v2.7.2+ (released 28th February 2012)

Dear ibProArcade-Fans,

this is another Update on the professional Arcade-System for vBulletin

I strongly recommend EVERYBODY to upgrade to this latest version v2.7.1+
There is a security-issue in previous versions !!



Support is only provided if you use this latest release !


Get your copy of the new ibProArcade v2.7.2+ here


Bugfixes:

* one security-issue fixed
* disabled product makes Arcade offline now


!! PLEASE NOTICE THAT BY UPDATING TO v2.6.4+ OR ANY LATER VERSION THE GAME "PACMAN" GETS AUTOMATICALLY REMOVED FROM YOUR ARCADE !!
This is done due to copyright-reasons.


If you are new to ibProArcade and do a fresh Installation, just read the included Instructions. Make sure to read the ones that correspond to your vBulletin-Version!



For those who upgrade their ibProArcade v2.5.x/v2.6.x do the following:
  • upload and overwrite all (!) PHP-Files from Archive's /upload-Folder
  • if you are using vBulletin 3.5.x/3.6.x/3.7.x/3.8.x update the Product "ibProArcade":
    • Enter AdminCP
    • Open Menu-Group "PlugIn-System"
    • Click "Manage Products"
    • Click "Add/Import Products"
    • Enter the Path to the Product-XML-File: ./includes/xml/product-ibproarcade.xml
    • Set "Overwrite Product" to YES (very important, this does the Update!)
    • Click IMPORT
    • Confirm the Import of that Product
  • if you are using vBulletin 3.0.x use the Installer:
    • upload /installer.php to your forum's root
    • run installer.php
    • delete installer.php from your forum's root
  • you're done
Make sure you also upload the new file "holdsession.php" which was introduced with v2.6.2+


If you are upgrading from vBulletin 3.x to 4.x make sure to read the included HTML-Instalation-Instructions and do the template-changes for vBulletin 4.x !


Please report any Bugs, Faults, Errors, Suggestions, Ideas, Feature-Requests ect. in the Support-Forum in the "Premium Modification"-Section here at vbulletin.org



To express your support for this product, I am happy about any small donation which you can easily send via your AdminCP -> Arcade -> Information


Please remember to click INSTALL, thanks!


Stay tuned & enjoy
__________________
Get the most installed modification for your vBulletin (more than 8400 installations and 144.000 downloads!):
ibProArcade 2.7.2+ download here | Click here to enter the ibProArcade-Support-Section
Reply With Quote
Comments
  #2  
Old 27 Feb 2012, 23:49
alan92rttt alan92rttt is offline
 
Join Date: Oct 2002
"if you are using vBulletin 3.5.x/3.6.x/3.7.x/3.8.x update the Product "ibProArcade":"

Are there any 4.X install instructions? Or just overwrite the file and done?
Reply With Quote
  #3  
Old 28 Feb 2012, 00:19
Hippy's Avatar
Hippy Hippy is offline
 
Join Date: Dec 2001
thanks MrZ
Reply With Quote
  #4  
Old 28 Feb 2012, 02:28
rpgamersnet's Avatar
rpgamersnet rpgamersnet is offline
 
Join Date: Jul 2004
Could someone be so kind as to point out which files have actually changed from 2.7.1 to 2.7.2? I've made a lot of fixes and changes to my arcade, and flat overwriting will be a mess. Any help is appreciated
Reply With Quote
  #5  
Old 28 Feb 2012, 04:21
garyb12001 garyb12001 is offline
 
Join Date: Jun 2010
Originally Posted by rpgamersnet View Post
Could someone be so kind as to point out which files have actually changed from 2.7.1 to 2.7.2? I've made a lot of fixes and changes to my arcade, and flat overwriting will be a mess. Any help is appreciated
This. I overwrote the php files that have newer modification dates than the ones that I already have installed (most of the ones in 2.7.2 have MUCH older dates than the ones I have installed), but want to make sure I didn't miss any. Thanks!
Reply With Quote
  #6  
Old 28 Feb 2012, 04:27
Hippy's Avatar
Hippy Hippy is offline
 
Join Date: Dec 2001
Originally Posted by rpgamersnet View Post
Could someone be so kind as to point out which files have actually changed from 2.7.1 to 2.7.2? I've made a lot of fixes and changes to my arcade, and flat overwriting will be a mess. Any help is appreciated
use Compare it!

these are the files..
admincp/arcade.php
/arcade.php
/includes/xml/product-ibproarcade.xml
/arcade/modules/mod_arcade.php
Reply With Quote
  #7  
Old 28 Feb 2012, 04:53
rpgamersnet's Avatar
rpgamersnet rpgamersnet is offline
 
Join Date: Jul 2004
Cool

Thanks Hippy, that's exactly what I needed.
Reply With Quote
  #8  
Old 28 Feb 2012, 14:35
infnity8x3 infnity8x3 is offline
 
Join Date: Apr 2009
Just throwing this out there. But I to fell Victim the the exploit in the mod. It was very nasty and allowed for altering of every single .js file on my root. Whats worse is it installed shells on my SERVER not just vb root that was like a mini cpanel for the user. Basically they had me by the balls and I'm just very happy they had mercy and did not ruin my server. Believe me with the multi shells that was implanted on my server they could of crippled it if it was at there attention,

I even saved one of the shells to test.

Needless to say this was devastating to my forum and its community. Actually so far has been unrecoverable. The place is a ghost town compared to the weeks before this.

With every update being a security fix. And the stigma this mod has created. I urge all forum admins to look at there arcade statistics and if it's not really being used. And doesn't even tie into your forums subject to well. Then just uninstall this mod. Save yourself. your forum, your entire server, protect your members. By uninstalling this mod!

This is not meant to flame just a public service announcement.
Reply With Quote
  #9  
Old 29 Feb 2012, 07:09
Sarteck's Avatar
Sarteck Sarteck is offline
 
Join Date: Mar 2008
I was a lucky one... >_> I totally forgot to disable it and had it active up until now, when I upgraded and got errors. X3
Reply With Quote
  #10  
Old 01 Mar 2012, 07:24
Kolbi's Avatar
Kolbi Kolbi is offline
 
Join Date: Mar 2009
Real name: Matthias
Originally Posted by Hippy View Post
use Compare it!

these are the files..
admincp/arcade.php
/arcade.php
/includes/xml/product-ibproarcade.xml
/arcade/modules/mod_arcade.php
Only had to fix
  • /arcade.php
  • /arcade/modules/mod_arcade.php
?

Other files hadn't had any real changes (expect the versionnumber).
Reply With Quote
  #11  
Old 01 Mar 2012, 10:11
Hippy's Avatar
Hippy Hippy is offline
 
Join Date: Dec 2001
correct..
but I haven't had my coffee this morning ..
Reply With Quote
  #12  
Old 13 Mar 2012, 10:29
Lucyloo Lucyloo is offline
 
Join Date: Oct 2011
Since upgrading to this latest version there is a problem with the scores not saving.

Any help would be appreciated, thank you
Reply With Quote
  #13  
Old 13 Mar 2012, 13:26
Hippy's Avatar
Hippy Hippy is offline
 
Join Date: Dec 2001
Originally Posted by Lucyloo View Post
Since upgrading to this latest version there is a problem with the scores not saving.

Any help would be appreciated, thank you
did you add the code to the index.php ?
in the zip file you downloaded from here there are a few txt files .. the one that says portal or vbadvanced is the one with the code..

it does not matter if your not using it .. the reason for this code is your using forum.php your your site not index.php
vb has a index.php redirect file so add the code to it..
in my sig under the link ibproarcade fixes youll find the code as well
Reply With Quote
  #14  
Old 16 Apr 2012, 18:30
schnulli schnulli is offline
 
Join Date: Jun 2007
We installed ibProArcade v2.7.2+ and now our hoster of the database updated PHP to "5.3.3-7+squeeze8".

Now we have Errors in game-windows like this:

Deprecated: Assigning the return value of new by reference is deprecated in /var/www/xxxx/html/arcade.php on line 3190

Deprecated: Assigning the return value of new by reference is deprecated in /var/www/xxxx/html/arcade.php on line 4082


We talked to our hoster. He says "ibProArcade v2.7.2+ has to be updated to be compatible with aktuell and future PHP-versions".

Are there insights to this problem? An impact on a "downgrade" the version of PHP on the server, we do not have.

Last edited by schnulli : 16 Apr 2012 at 19:09.
Reply With Quote
  #15  
Old 16 Apr 2012, 23:41
Hippy's Avatar
Hippy Hippy is offline
 
Join Date: Dec 2001
stangger5 posted how this was fixed..
Reply With Quote
Reply


Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts
Forum Jump


New To Site? Need Help?

All times are GMT. The time now is 04:19.

Layout Options | Width: Wide Color: